<?php

namespace App\Models;

use App\Models\BaseModel;

/**
 * @description 优惠券列表
 * @author  system;
 * @version    1.0
 * @date 2018-07-12 08:35:24
 *
 */
class CouponInfoModel extends BaseModel
{
    /**
     * 数据表名
     *
     * @var string
     *
     */
    protected $table = 'coupon_info';
    /**
     * 主键
     */
    protected $primaryKey = 'id';

    //分页
    protected $perPage = PAGE_NUMS;

    /**
     * 可以被集体附值的表的字段
     *
     * @var string
     */
    protected $fillable = [
        'type',
        'min_price',
        'discount',
        'discount_price',
        'product_id',
        'count',
        'end_time',
        'name'
    ];

    public function product(){
        $product = (new ProductCategoryModel())->whereIn('id',explode(',',$this->product_id))->pluck('name');;
        return $product;
    }

}